Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509
Class X509V2CRLGenerator

    java.lang.Object
      org.bouncycastle.x509.X509V2CRLGenerator

    public class X509V2CRLGenerator

extends java.lang.Object

class to produce an X.509 Version 2 CRL.

Constructor Summary
`X509V2CRLGenerator()`

Method Summary
`void` | `addCRL(java.security.cert.X509CRL other)` Add the CRLEntry objects contained in a previous CRL.
`void` | `addCRLEntry(java.math.BigInteger userCertificate, java.util.Date revocationDate, int reason)` Reason being as indicated by CRLReason, i.e.
`void` | `addCRLEntry(java.math.BigInteger userCertificate, java.util.Date revocationDate, int reason, java.util.Date invalidityDate)` Add a CRL entry with an Invalidity Date extension as well as a CRLReason extension.
`void` | `addCRLEntry(java.math.BigInteger userCertificate, java.util.Date revocationDate, X509Extensions extensions)` Add a CRL entry with extensions.
`void` | `addExtension(DERObjectIdentifier oid, boolean critical, byte[] value)` add a given extension field for the standard extensions tag (tag 0)
`void` | `addExtension(DERObjectIdentifier oid, boolean critical, DEREncodable value)` add a given extension field for the standard extensions tag (tag 0)
`void` | `addExtension(java.lang.String oid, boolean critical, byte[] value)` add a given extension field for the standard extensions tag (tag 0)
`void` | `addExtension(java.lang.String oid, boolean critical, DEREncodable value)` add a given extension field for the standard extensions tag (tag 0)
`java.security.cert.X509CRL` | `generate(java.security.PrivateKey key)` generate an X509 CRL, based on the current issuer and subject using the default provider.
`java.security.cert.X509CRL` | `generate(java.security.PrivateKey key, java.security.SecureRandom random)` generate an X509 CRL, based on the current issuer and subject using the default provider and an user defined SecureRandom object as source of randomness.
`java.security.cert.X509CRL` | `generate(java.security.PrivateKey key, java.lang.String provider)` generate an X509 certificate, based on the current issuer and subject using the passed in provider for the signing.
`java.security.cert.X509CRL` | `generate(java.security.PrivateKey key, java.lang.String provider, java.security.SecureRandom random)` generate an X509 CRL, based on the current issuer and subject, using the passed in provider for the signing.
`java.security.cert.X509CRL` | `generateX509CRL(java.security.PrivateKey key)` Deprecated. use generate(key, "BC")
`java.security.cert.X509CRL` | `generateX509CRL(java.security.PrivateKey key, java.security.SecureRandom random)` Deprecated. use generate(key, random, "BC")
`java.security.cert.X509CRL` | `generateX509CRL(java.security.PrivateKey key, java.lang.String provider)` Deprecated. use generate()
`java.security.cert.X509CRL` | `generateX509CRL(java.security.PrivateKey key, java.lang.String provider, java.security.SecureRandom random)` Deprecated. use generate()
`java.util.Iterator` | `getSignatureAlgNames()` Return an iterator of the signature names supported by the generator.
`void` | `reset()` reset the generator
`void` | `setIssuerDN(javax.security.auth.x500.X500Principal issuer)` Set the issuer distinguished name - the issuer is the entity whose private key is used to sign the certificate.
`void` | `setIssuerDN(X509Name issuer)` Set the issuer distinguished name - the issuer is the entity whose private key is used to sign the certificate.
`void` | `setNextUpdate(java.util.Date date)`
`void` | `setSignatureAlgorithm(java.lang.String signatureAlgorithm)` Set the signature algorithm.
`void` | `setThisUpdate(java.util.Date date)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509V2CRLGenerator

    public X509V2CRLGenerator()

Method Detail

### reset

    public void reset()

  reset the generator

### setIssuerDN

    public void setIssuerDN(javax.security.auth.x500.X500Principal issuer)

  Set the issuer distinguished name - the issuer is the entity whose private key is used to sign the certificate.

### setIssuerDN

    public void setIssuerDN(X509Name issuer)

  Set the issuer distinguished name - the issuer is the entity whose private key is used to sign the certificate.

### setThisUpdate

    public void setThisUpdate(java.util.Date date)

### setNextUpdate

    public void setNextUpdate(java.util.Date date)

### addCRLEntry

    public void addCRLEntry(java.math.BigInteger userCertificate,
                            java.util.Date revocationDate,
                            int reason)

  Reason being as indicated by CRLReason, i.e. CRLReason.keyCompromise or 0 if CRLReason is not to be used

### addCRLEntry

    public void addCRLEntry(java.math.BigInteger userCertificate,
                            java.util.Date revocationDate,
                            int reason,
                            java.util.Date invalidityDate)

  Add a CRL entry with an Invalidity Date extension as well as a CRLReason extension. Reason being as indicated by CRLReason, i.e. CRLReason.keyCompromise or 0 if CRLReason is not to be used

### addCRLEntry

    public void addCRLEntry(java.math.BigInteger userCertificate,
                            java.util.Date revocationDate,
                            X509Extensions extensions)

  Add a CRL entry with extensions.

### addCRL

    public void addCRL(java.security.cert.X509CRL other)
                throws java.security.cert.CRLException

  Add the CRLEntry objects contained in a previous CRL.

  Parameters:
    `other` - the X509CRL to source the other entries from.
  Throws:
    `java.security.cert.CRLException`

### setSignatureAlgorithm

    public void setSignatureAlgorithm(java.lang.String signatureAlgorithm)

  Set the signature algorithm. This can be either a name or an OID, names are treated as case insensitive.

  Parameters:
    `signatureAlgorithm` - string representation of the algorithm name.

### addExtension

    public void addExtension(java.lang.String oid,
                             boolean critical,
                             DEREncodable value)

  add a given extension field for the standard extensions tag (tag 0)

### addExtension

    public void addExtension(DERObjectIdentifier oid,
                             boolean critical,
                             DEREncodable value)

  add a given extension field for the standard extensions tag (tag 0)

### addExtension

    public void addExtension(java.lang.String oid,
                             boolean critical,
                             byte[] value)

  add a given extension field for the standard extensions tag (tag 0)

### addExtension

    public void addExtension(DERObjectIdentifier oid,
                             boolean critical,
                             byte[] value)

  add a given extension field for the standard extensions tag (tag 0)

### generateX509CRL

    public java.security.cert.X509CRL generateX509CRL(java.security.PrivateKey key)
                                               throws java.lang.SecurityException,
                                                      java.security.SignatureException,
                                                      java.security.InvalidKeyException

  Deprecated. use generate(key, "BC")

  generate an X509 CRL, based on the current issuer and subject using the default provider "BC".

  Throws:
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509CRL

    public java.security.cert.X509CRL generateX509CRL(java.security.PrivateKey key,
                                                      java.security.SecureRandom random)
                                               throws java.lang.SecurityException,
                                                      java.security.SignatureException,
                                                      java.security.InvalidKeyException

  Deprecated. use generate(key, random, "BC")

  generate an X509 CRL, based on the current issuer and subject using the default provider "BC" and an user defined SecureRandom object as source of randomness.

  Throws:
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509CRL

    public java.security.cert.X509CRL generateX509CRL(java.security.PrivateKey key,
                                                      java.lang.String provider)
                                               throws java.security.NoSuchProviderException,
                                                      java.lang.SecurityException,
                                                      java.security.SignatureException,
                                                      java.security.InvalidKeyException

  Deprecated. use generate()

  generate an X509 certificate, based on the current issuer and subject using the passed in provider for the signing.

  Throws:
    `java.security.NoSuchProviderException`
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509CRL

    public java.security.cert.X509CRL generateX509CRL(java.security.PrivateKey key,
                                                      java.lang.String provider,
                                                      java.security.SecureRandom random)
                                               throws java.security.NoSuchProviderException,
                                                      java.lang.SecurityException,
                                                      java.security.SignatureException,
                                                      java.security.InvalidKeyException

  Deprecated. use generate()

  generate an X509 CRL, based on the current issuer and subject, using the passed in provider for the signing.

  Throws:
    `java.security.NoSuchProviderException`
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generate

    public java.security.cert.X509CRL generate(java.security.PrivateKey key)
                                        throws java.security.cert.CRLException,
                                               java.lang.IllegalStateException,
                                               java.security.NoSuchAlgorithmException,
                                               java.security.SignatureException,
                                               java.security.InvalidKeyException

  generate an X509 CRL, based on the current issuer and subject using the default provider.

  Note: this differs from the deprecated method in that the default provider is used - not "BC".

  Throws:
    `java.security.cert.CRLException`
    `java.lang.IllegalStateException`
    `java.security.NoSuchAlgorithmException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generate

    public java.security.cert.X509CRL generate(java.security.PrivateKey key,
                                               java.security.SecureRandom random)
                                        throws java.security.cert.CRLException,
                                               java.lang.IllegalStateException,
                                               java.security.NoSuchAlgorithmException,
                                               java.security.SignatureException,
                                               java.security.InvalidKeyException

  generate an X509 CRL, based on the current issuer and subject using the default provider and an user defined SecureRandom object as source of randomness.

  Note: this differs from the deprecated method in that the default provider is used - not "BC".

  Throws:
    `java.security.cert.CRLException`
    `java.lang.IllegalStateException`
    `java.security.NoSuchAlgorithmException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generate

    public java.security.cert.X509CRL generate(java.security.PrivateKey key,
                                               java.lang.String provider)
                                        throws java.security.cert.CRLException,
                                               java.lang.IllegalStateException,
                                               java.security.NoSuchProviderException,
                                               java.security.NoSuchAlgorithmException,
                                               java.security.SignatureException,
                                               java.security.InvalidKeyException

  generate an X509 certificate, based on the current issuer and subject using the passed in provider for the signing.

  Throws:
    `java.security.cert.CRLException`
    `java.lang.IllegalStateException`
    `java.security.NoSuchProviderException`
    `java.security.NoSuchAlgorithmException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generate

    public java.security.cert.X509CRL generate(java.security.PrivateKey key,
                                               java.lang.String provider,
                                               java.security.SecureRandom random)
                                        throws java.security.cert.CRLException,
                                               java.lang.IllegalStateException,
                                               java.security.NoSuchProviderException,
                                               java.security.NoSuchAlgorithmException,
                                               java.security.SignatureException,
                                               java.security.InvalidKeyException

  generate an X509 CRL, based on the current issuer and subject, using the passed in provider for the signing.

  Throws:
    `java.security.cert.CRLException`
    `java.lang.IllegalStateException`
    `java.security.NoSuchProviderException`
    `java.security.NoSuchAlgorithmException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### getSignatureAlgNames

    public java.util.Iterator getSignatureAlgNames()

  Return an iterator of the signature names supported by the generator.

  Returns:
    an iterator containing recognised names.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD